local params = ...

local core = require "core"
local storage = require "storage"

local node_id_string = tostring( math.floor( params.node_id ) )

local device_id = storage.get_string( node_id_string )
if device_id then
    local items = core.get_items_by_device_id( device_id )
    -- remove items mappings
    for _, item in ipairs( items ) do
        local descriptor = storage.get_table( item._id )
        storage.delete( item._id )
        storage.delete( loadfile( "HUB:my_first_plugin/scripts/utils/item_descriptor_utils" )().to_string( descriptor ) )
    end
    
    -- remove device mappings
    storage.delete( node_id_string )
    storage.delete( device_id )
    
    -- remove device with items
    core.remove_device( device_id )
end
